Uploader main class for now its supporting only s3 upload type

export
class

  Upload

### Type parameters

- #### EventTypes: string | symbol | object

### Hierarchy

- EventEmitter
  - Upload

## Index

### Interfaces

- EventEmitterStatic
- ListenerFn

### Constructors

- constructor

### Properties

- EventEmitter
- prefixed

### Methods

- addListener
- emit
- eventNames
- listenerCount
- listeners
- multiupload
- off
- on
- once
- removeAllListeners
- removeListener
- setSecurity
- setSession
- setToken
- upload

## Constructors

### constructor

- new Upload(options?: UploadOptions, storeOptions?: StoreUploadOptions): Upload

- - Defined in lib/api/upload/upload.ts:62

  #### Parameters

  - ##### Default value options: UploadOptions = {}

  - ##### Default value storeOptions: StoreUploadOptions = {}

  #### Returns Upload

## Properties

### Static EventEmitter

EventEmitter: EventEmitterStatic

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:64

### Static prefixed

prefixed: string | boolean

Inherited from EventEmitter.prefixed

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:9

## Methods

### addListener

- addListener<T>(event: T, fn: ListenerFn<EventArgs<EventTypes, T>>, context?: any): this

- Inherited from EventEmitter.addListener

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:36

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### fn: ListenerFn<EventArgs<EventTypes, T>>

  - ##### Optional context: any

  #### Returns this

### emit

- emit<T>(event: T, ...args: EventArgs<EventTypes, T>): boolean

- Inherited from EventEmitter.emit

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:30

  Calls each of the listeners registered for a given event.

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### Rest ...args: EventArgs<EventTypes, T>

  #### Returns boolean

### eventNames

- eventNames(): Array<EventNames<EventTypes>>

- Inherited from EventEmitter.eventNames

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:15

  Return an array listing the events for which the emitter has registered listeners.

  #### Returns Array<EventNames<EventTypes>>

### listenerCount

- listenerCount(event: EventNames<EventTypes>): number

- Inherited from EventEmitter.listenerCount

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:25

  Return the number of listeners listening to a given event.

  #### Parameters

  - ##### event: EventNames<EventTypes>

  #### Returns number

### listeners

- listeners<T>(event: T): Array<ListenerFn<EventArgs<EventTypes, T>>>

- Inherited from EventEmitter.listeners

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:20

  Return the listeners registered for a given event.

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  #### Returns Array<ListenerFn<EventArgs<EventTypes, T>>>

### multiupload

- multiupload(input: InputFile[]): Promise<any>

- - Defined in lib/api/upload/upload.ts:200

  Upload multiple files at once

  memberof

    Upload

  #### Parameters

  - ##### input: InputFile[]

  #### Returns Promise<any>

### off

- off<T>(event: T, fn?: ListenerFn<EventArgs<EventTypes, T>>, context?: any, once?: boolean): this

- Inherited from EventEmitter.off

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:47

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### Optional fn: ListenerFn<EventArgs<EventTypes, T>>

  - ##### Optional context: any

  - ##### Optional once: boolean

  #### Returns this

### on

- on<T>(event: T, fn: ListenerFn<EventArgs<EventTypes, T>>, context?: any): this

- Inherited from EventEmitter.on

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:35

  Add a listener for a given event.

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### fn: ListenerFn<EventArgs<EventTypes, T>>

  - ##### Optional context: any

  #### Returns this

### once

- once<T>(event: T, fn: ListenerFn<EventArgs<EventTypes, T>>, context?: any): this

- Inherited from EventEmitter.once

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:41

  Add a one-time listener for a given event.

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### fn: ListenerFn<EventArgs<EventTypes, T>>

  - ##### Optional context: any

  #### Returns this

### removeAllListeners

- removeAllListeners(event?: EventNames<EventTypes>): this

- Inherited from EventEmitter.removeAllListeners

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:52

  Remove all listeners, or those of the specified event.

  #### Parameters

  - ##### Optional event: EventNames<EventTypes>

  #### Returns this

### removeListener

- removeListener<T>(event: T, fn?: ListenerFn<EventArgs<EventTypes, T>>, context?: any, once?: boolean): this

- Inherited from EventEmitter.removeListener

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:46

  Remove the listeners of a given event.

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### Optional fn: ListenerFn<EventArgs<EventTypes, T>>

  - ##### Optional context: any

  - ##### Optional once: boolean

  #### Returns this

### setSecurity

- setSecurity(security: Security): void

- - Defined in lib/api/upload/upload.ts:163

  Sets security to uploader instance

  memberof

    Upload

  #### Parameters

  - ##### security: Security

  #### Returns void

### setSession

- setSession(session: Session): void

- - Defined in lib/api/upload/upload.ts:125

  Set session object to uploader

  deprecated
  memberof

    Upload

  #### Parameters

  - ##### session: Session

  #### Returns void

### setToken

- setToken(token: any): any

- - Defined in lib/api/upload/upload.ts:145

  Set cancel token to controll upload flow

  memberof

    Upload

  #### Parameters

  - ##### token: any

  #### Returns any

### upload

- upload(input: InputFile): Promise<any>

- - Defined in lib/api/upload/upload.ts:174

  Upload single file

  memberof

    Upload

  #### Parameters

  - ##### input: InputFile

  #### Returns Promise<any>